Docs/API Reference/Transactions

List transactions

Transactions · GET /v1/transactions

List transactions

GET/v1/transactions

Note

Cursor-paginated, newest first. platform=booking covers both the connectivity-partner and Extranet connections.

Request

curl https://api.repull.dev/v1/transactions?platform=booking&is_payout=true \
  -H "Authorization: Bearer $REPULL_API_KEY"

Response

{
  "data": [
    {
      "transactionId": "booking_payout_5463377687_bank_transfer", "platform": "booking", "type": "Payout", "isPayout": true,
      "status": "COMPLETED", "date": "27 Aug 2026", "currency": "NOK", "amount": 18597.12, "grossAmount": 22272,
      "fees": { "commission": 3340.8, "serviceFee": 334.08, "processingFee": null }
    }
  ],
  "pagination": { "nextCursor": "eyJpZCI6NDQxfQ", "hasMore": true }
}

Query Parameters

platformstring

airbnb, booking (Booking.com, however connected) or vrbo. Omit for all channels.

typestring

Transaction type, e.g. Payout, Reservation, Refund.

statusstring

Filter by status.

is_payoutboolean

true for payout rows only (money that reached the host).

limitintegerDefault: 100

Page size, up to 500.

cursorstring

`pagination.nextCursor` from the previous page.

AI